/* ----------------------------------------------------------------------
 *  Modified version of the code downloaded 
 *  from http://www.acm.org/pubs/tog/GraphicsGems/gems/Sturm/ 
 *  Modified by Chaok Seok 2003.
 *
 *  Using Sturm Sequences to Bracket Real Roots of Polynomial Equations
 *  by D.G. Hook and P.R. McAree
 *  from "Graphics Gems", Academic Press, 1990
 *
 * ----------------------------------------------------------------------
 */

#ifndef _sturm_h_
#define _sturm_h_

#define MAX_ORDER 16

/* structure type for representing a polynomial */
typedef struct p 
{
  int ord;
  double coef[MAX_ORDER+1];
} poly;

void initialize_sturm(double tol_secant, int max_iter_sturm, int max_iter_secant_sturm);
void solve_sturm(int p_order, int *n_root, double *poly_coeffs, double *roots);

#endif 